summaryrefslogtreecommitdiffstats
path: root/init-scripts
diff options
context:
space:
mode:
authorAdrian Likins <alikins@grimlock.devel.redhat.com>2008-02-25 16:00:44 -0500
committerAdrian Likins <alikins@grimlock.devel.redhat.com>2008-02-25 16:00:44 -0500
commit506365cf989ebc1ba1d12ded2ab2109587a2ed4d (patch)
tree91421bee4945e24b747af5128622acfec30c6d80 /init-scripts
parent6fd13e5c3c572ebb64d70cfaa2f2160a13dbc838 (diff)
downloadthird_party-func-506365cf989ebc1ba1d12ded2ab2109587a2ed4d.tar.gz
third_party-func-506365cf989ebc1ba1d12ded2ab2109587a2ed4d.tar.xz
third_party-func-506365cf989ebc1ba1d12ded2ab2109587a2ed4d.zip
dont need these files anymore, all moved to certmaster
Diffstat (limited to 'init-scripts')
-rwxr-xr-xinit-scripts/certmaster112
1 files changed, 0 insertions, 112 deletions
diff --git a/init-scripts/certmaster b/init-scripts/certmaster
deleted file mode 100755
index 819ba0d..0000000
--- a/init-scripts/certmaster
+++ /dev/null
@@ -1,112 +0,0 @@
-#!/bin/sh
-#
-# certmaster certmaster
-###################################
-
-# LSB header
-
-### BEGIN INIT INFO
-# Provides: certmaster
-# Required-Start: network
-# Default-Start: 3 4 5
-# Default-Stop: 0 1 2 6
-# Short-Description: certificate master for Fedora Unified Network Control 'master server only'
-# Description: certificate master to sign/manage ca/cert infrastructure for func
-### END INIT INFO
-
-# chkconfig header
-
-# chkconfig: - 98 99
-# description: certificate master to sign/manage ca/cert infrastructure for func
-#
-# processname: /usr/bin/certmaster
-
-# Sanity checks.
-[ -x /usr/bin/certmaster ] || exit 0
-
-SERVICE=certmaster
-PROCESS=certmaster
-DAEMON=/usr/bin/certmaster
-CONFIG_ARGS="--daemon"
-
-CAStatus()
-{
- ps wt? | grep "$DAEMON" 2>&1 > /dev/null
- if [ "x$?" = "x0" ]; then
- RVAL=0
- echo "certmaster is running"
- else
- RVAL=3
- echo "certmaster is not running"
- fi
-}
-
-if [ -f /lib/lsb/init-functions ]; then
- . /lib/lsb/init-functions
- alias START_DAEMON=start_daemon
- alias STATUS=CAStatus
- alias LOG_SUCCESS=log_success_msg
- alias LOG_FAILURE=log_failure_msg
- alias LOG_WARNING=log_warning_msg
-elif [ -f /etc/init.d/functions ]; then
- . /etc/init.d/functions
- alias START_DAEMON=daemon
- alias STATUS=status
- alias LOG_SUCCESS=success
- alias LOG_FAILURE=failure
- alias LOG_WARNING=passed
-else
- echo "Error: your platform is not supported by $0" > /dev/stderr
- exit 1
-fi
-
-RETVAL=0
-
-start() {
- echo -n $"Starting certmaster daemon: "
- START_DAEMON $PROCESS $CONFIG_ARGS
- RETVAL=$?
- echo
- [ $RETVAL -eq 0 ] && touch /var/lock/subsys/$SERVICE
- return $RETVAL
-}
-
-stop() {
- echo -n $"Stopping certmaster daemon: "
- killproc $PROCESS
- RETVAL=$?
- echo
- if [ $RETVAL -eq 0 ]; then
- rm -f /var/lock/subsys/$SERVICE
- rm -f /var/run/$SERVICE.pid
- fi
-}
-
-restart() {
- stop
- start
-}
-
-# See how we were called.
-case "$1" in
- start|stop|restart)
- $1
- ;;
- status)
- STATUS $PROCESS
- RETVAL=$?
- ;;
- condrestart)
- [ -f /var/lock/subsys/$SERVICE ] && restart || :
- ;;
- reload)
- echo "can't reload configuration, you have to restart it"
- RETVAL=$?
- ;;
- *)
- echo $"Usage: $0 {start|stop|status|restart|condrestart|reload}"
- exit 1
- ;;
-esac
-exit $RETVAL
-